Bug 653496 - Platform plugin shows OS Name for 64bit Windows servers as Win32
Platform plugin shows OS Name for 64bit Windows servers as Win32
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
3.0.0
All Windows
low Severity medium (vote)
: ---
: ---
Assigned To: Charles Crouch
Mike Foley
:
Depends On:
Blocks: jon30-bugs jon3-sprint1 715334
  Show dependency treegraph
 
Reported: 2010-11-15 10:49 EST by dsteigne
Modified: 2015-02-01 18:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 13:02:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description dsteigne 2010-11-15 10:49:10 EST
Description of problem:
The OS Name is Win32 for Windows 64bit 2003 and 2008, the architecture shows correctly, x86 for 32bit and x64 for 64bit, but the OS Name should also show as 64bit.

Version-Release number of selected component (if applicable):
2.4

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Ian Springer 2011-05-16 13:33:42 EDT
For 64-bit Windows platforms, return "Win64", rather than "Win32", for the value of the "OS Name" trait - [master a9c0a5e].
Comment 3 Sunil Kondkar 2011-05-25 06:44:52 EDT
Verified on build#97 (Version: 4.1.0-SNAPSHOT Build Number: e89bbe0)

The windows resource details display the value for OS Name as Win64. Also verified that the monitoring->traits tab displays the value for OS Name as Win64.

Marking as verified
Comment 5 Heiko W. Rupp 2013-09-03 13:02:21 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.